<?php 
 class Application_Model_Form_UserLogout extends MyWeb_Form
{

    public function init()
    {
        $root = 'index.php';
        $request = Zend_Controller_Front::getInstance()->getRequest();
        $translate = Zend_Registry::get('Zend_Translate');
        
        $url = $request->getRequestUri();
        
        // nastaví atributy formuláře
        $this->setAction($this->createPath($url, 'user', 'logout', null));
        $this->setMethod("post");
        $this->setAttrib("id", "form_user_logout");
        
        
        // vytvoří formulářový prvek odesílací tlačítko
        $submitSubmit_logout = 
        												new Zend_Form_Element_Submit(
        																	"submit_logout",
        																	array("label" => $translate->translate('Logout')));
        // přidá formulářové prvky do formuláře
        $this->addElements(array($submitSubmit_logout));
    }


}
